Method: projects.locations.intelligenceFindings.revisions.list

Lists all the revisions of an IntelligenceFinding resource.

REST format

GET /v2/{parent=projects/*/locations/*/intelligenceFindings/*}/revisions

HTTP body

The HTTP request has no request body.

Query parameters

Parameters
parent

string

Required. The parent of the IntelligenceFindingRevision resource.
Format: projects/{project}/locations/{location}/intelligenceFindings/{intelligence_finding}

pageSize

integer

Optional. The maximum number of IntelligenceFindingRevision resources to return. The maximum value is 100; values above 100 will be coerced to 100. The default value is 100.

pageToken

string

Optional. A page token, received from a previous ListIntelligenceFindingRevisions call. Provide this to retrieve the subsequent page.

Response

If successful, the response body contains data with the following structure:

JSON representation
{
  "intelligenceFindingRevisions": [
    {
      object (IntelligenceFindingRevision)
    }
  ],
  "nextPageToken": string
}
Fields
intelligenceFindingRevisions[]

object (IntelligenceFindingRevision)

The IntelligenceFindingRevision resources from the specified project.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page.

Authorization

Requires the following Google IAM permission on the specified resource:

  • storage.buckets.viewIntelligenceDetails